Bug 214792

Summary: [WebGL2] Update WebGL 2.0.0 conformance suite snapshot
Product: WebKit Reporter: Kenneth Russell <kbr>
Component: WebGLAssignee: Kenneth Russell <kbr>
Status: RESOLVED FIXED    
Severity: Normal CC: dino, eric.carlson, ews-watchlist, glenn, jdarpinian, jer.noble, philipj, sergio, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 181293, 214856    
Bug Blocks: 126404, 189641, 214893, 214977    
Attachments:
Description Flags
Patch none

Description Kenneth Russell 2020-07-25 22:15:24 PDT
WebKit's snapshot of the WebGL 2.0.0 conformance suite was taken in 2018 in Bug 181293. Since then many bugs have been fixed in the conformance suite itself that were affecting correctness on some platforms, and on modern web browsers. A new snapshot is necessary to fix some current test timeouts and failures.

The conformance suite importing script in LayoutTests/webgl/generate-webgl-tests.py is being updated to handle snapshotting into a subdirectory, and is being run in the following way (while cd'd into LayoutTests/webgl):

python generate-webgl-tests.py -w ~/src/WebGL/conformance-suites/2.0.0 -o 2.0.0

in order to revise the snapshot without perturbing the expected text files.
Comment 1 Kenneth Russell 2020-07-27 16:18:17 PDT
Created attachment 405325 [details]
Patch
Comment 2 Kenneth Russell 2020-07-27 18:36:19 PDT
Comment on attachment 405325 [details]
Patch

Patch is passing all EWS bots - requesting CQ as well as review.
Comment 3 EWS 2020-07-28 11:03:12 PDT
Committed r264997: <https://trac.webkit.org/changeset/264997>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 405325 [details].
Comment 4 Radar WebKit Bug Importer 2020-07-28 11:04:17 PDT
<rdar://problem/66226821>